using Elwig.Models;

namespace Elwig.Documents {
    public abstract class BusinessDocument : Document {

        public Member Member;

        public BusinessDocument(string title, Member m) : base(title) {
            Member = m;
        }

        public string Address {
            get {
                var b = Member.BillingAddress;
                var plz = (b == null) ? Member.PostalDest.AtPlz : b.PostalDest.AtPlz;
                if (b != null) {
                    return $"{b.Name}\n{b.Address}\n{plz.Plz} {plz.Dest}";
                } else {
                    return $"{Member.Name}\n{Member.Address}\n{plz.Plz} {plz.Dest}";
                }
            }
        }
    }
}
